Loading...
Searching...
No Matches
oval_syschar Struct Reference
OVAL » OVALSYS

Characteristics bound to an Oval_object. More...

`#include <oval_system_characteristics.h>`

Collaboration diagram for oval_syschar:
[legend]

## Public Member Functions

OSCAP_API struct oval_syschar * | oval_syschar_new (struct oval_syschar_model *, struct oval_object *)
OSCAP_API struct oval_syschar * | oval_syschar_clone (struct oval_syschar_model *new_model, struct oval_syschar *old_syschar)
OSCAP_API void | oval_syschar_free (struct oval_syschar *)
Setters
OSCAP_API void | oval_syschar_add_variable_binding (struct oval_syschar *, struct oval_variable_binding *)
OSCAP_API void | oval_syschar_set_flag (struct oval_syschar *model, oval_syschar_collection_flag_t flag)
OSCAP_API void | oval_syschar_set_object (struct oval_syschar *, struct oval_object *)
OSCAP_API int | oval_syschar_get_variable_instance (const struct oval_syschar *syschar)
| Gets the variable_instance attribute of the syschar.
OSCAP_API void | oval_syschar_set_variable_instance (struct oval_syschar *syschar, int variable_instance_in)
| Sets the variable_instance attribute of the syschar.
OSCAP_API void | oval_syschar_add_sysitem (struct oval_syschar *, struct oval_sysitem *)
OSCAP_API void | oval_syschar_add_message (struct oval_syschar *syschar, struct oval_message *message)
OSCAP_API void | oval_syschar_add_new_message (struct oval_syschar *syschar, char *text, oval_message_level_t level)
Getters
OSCAP_API oval_syschar_collection_flag_t | oval_syschar_get_flag (struct oval_syschar *)
| Get system characteristic flag.
OSCAP_API struct oval_message_iterator * | oval_syschar_get_messages (struct oval_syschar *)
| Get messages bound to this system characteristic.
OSCAP_API struct oval_object * | oval_syschar_get_object (struct oval_syschar *)
| Get object associated with this system characteristic.
OSCAP_API struct oval_variable_binding_iterator * | oval_syschar_get_variable_bindings (struct oval_syschar *)
| Get system characteristic variable bindings.
OSCAP_API struct oval_sysitem_iterator * | oval_syschar_get_sysitem (struct oval_syschar *)
| Get system characteristic data.

## Data Fields

struct oval_syschar_model * | model
oval_syschar_collection_flag_t | flag
struct oval_collection * | messages
struct oval_object * | object
struct oval_collection * | variable_bindings
| Represents <variable_value> elements.
struct oval_collection * | sysitem
| Represents <reference> elements.
int | variable_instance
| Represents variable_instance attribute.
int | variable_instance_hint
| Internal hint of the next possible variable_instance attribute.

## Detailed Description

Characteristics bound to an Oval_object.

Instances of Oval_syschar provide relate an Oval_object and Oval_sysitem instances.

If an OVAL Object does not exist on the system, then an object is still provided but with the flag attribute set to 'does not exist' and with no reference child elements. This shows that the object was looked for but not found on the system. If no object element is written in this case, users of the system characteristics file will not know whether the object was not found or no attempt was made to collect it.

The flag attribute holds information regarding the outcome of the data collection. For example, if there was an error looking for items that match the object specification, then the flag would be 'error'. Please refer to the description of FlagEnumeration for details about the different flag values.

The documentation for this struct was generated from the following files:

- oval_syschar.c
- oval_system_characteristics.h